Schema
curl --request POST \
--url https://api.datalinks.com/api/v1/infer/schema \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sample": [
{}
],
"model": "<string>",
"provider": "<string>",
"currentValue": {
"description": "<string>",
"schema": {}
}
}
'import requests
url = "https://api.datalinks.com/api/v1/infer/schema"
payload = {
"sample": [{}],
"model": "<string>",
"provider": "<string>",
"currentValue": {
"description": "<string>",
"schema": {}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sample: [{}],
model: '<string>',
provider: '<string>',
currentValue: {description: '<string>', schema: {}}
})
};
fetch('https://api.datalinks.com/api/v1/infer/schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schema": {}
}{
"error_code": "UNAUTHORIZED",
"message": "Missing authentication token",
"error_message": "",
"sub_errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}ingest
Schema
Ask an agent to infer a schema based on sampled data.
POST
/
infer
/
schema
Schema
Authorizations
bearerAuthopenId
Use a Bearer token for authentication. Submit the token using the Authorization
header: Authorization: Bearer <token>.
Body
application/json
Response
Returns the inferred schema.
Wrapper object containing inferred field types.
Show child attributes
Show child attributes
⌘I